# 1. Abonnement : obtenir les événements

Suivre les abonnements lorsque `INSERT`/`MODIFY`/`REMOVE` des actions se produisent avec "Farm", "Field", "FieldSatelliteImage", "RasterAnalysisMap", "VectorAnalysisMap", et autres entités.

Le mécanisme d'abonnement est construit sur MQTT et WebSocket. Nous recommandons de commencer l'intégration en lisant le [article AWS AppSync Subscription](https://docs.aws.amazon.com/appsync/latest/devguide/real-time-websocket-client.html).&#x20;

{% hint style="info" %}
Les événements d'abonnement sont envoyés dès que l'événement se produit dans le backend GeoPard.
{% endhint %}

{% hint style="info" %}
Chaque événement d'abonnement possède une identification unique nommée `uuid`, ce qui est utile pour filtrer les événements traités et manquants demandés depuis [82. Requête : Restaurer les événements d'abonnement](/geopard-tutorials/fr/docs-api/vue-densemble-des-requetes-de-lapi-geopard/82.-mutation-restaurer-les-evenements-dabonnement.md).
{% endhint %}

{% code lineNumbers="true" %}

```graphql
subscription FollowPlatformEvent {
  followPlatformEvent(userUuid: "<placeholder_of_user_uuid>") {
    uuid
    userUuid
    action
    nodePath {
      entity
      uuid
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/fr/docs-api/vue-densemble-des-requetes-de-lapi-geopard/1.-abonnement-obtenir-les-evenements.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
